LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::awt::MouseWheelBehavior Constant Group Reference

describes the scroll behavior of the mouse wheel for a control More...

## Variables
const short | SCROLL_DISABLED = 0
| defines that the mouse wheel cannot be used to scroll through the control's content More...
const short | SCROLL_FOCUS_ONLY = 1
| defines that the mouse can only be used to scroll through the control's content if it currently has the focus. More...
const short | SCROLL_ALWAYS = 2
| defines that the mouse can be used to scroll through the control's content, no matter whether or not it has the focus, as long as the mouse pointer is over the control. More...

## Detailed Description

describes the scroll behavior of the mouse wheel for a control

Since
  OOo 3.2

## Variable Documentation

## ◆ SCROLL_ALWAYS

const short SCROLL_ALWAYS = 2

defines that the mouse can be used to scroll through the control's content, no matter whether or not it has the focus, as long as the mouse pointer is over the control.

## ◆ SCROLL_DISABLED

const short SCROLL_DISABLED = 0

defines that the mouse wheel cannot be used to scroll through the control's content

## ◆ SCROLL_FOCUS_ONLY

const short SCROLL_FOCUS_ONLY = 1

defines that the mouse can only be used to scroll through the control's content if it currently has the focus.